Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(26)

Unified Diff: tests/rename.sh

Issue 2394033003: Remove SVN (and dcommit) support from git-cl (Closed)
Patch Set: Rebase Created 4 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tests/push-from-logs.sh ('k') | tests/save-description-on-failure.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tests/rename.sh
diff --git a/tests/rename.sh b/tests/rename.sh
deleted file mode 100755
index 9b5d6dd074507960d447ba7e9ddc45ef8b2b6ed7..0000000000000000000000000000000000000000
--- a/tests/rename.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/usr/bin/env bash
-
-# Copyright (c) 2012 The Chromium Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-
-# Renaming a file should show up as a rename in the review.
-
-set -e
-
-. ./test-lib.sh
-
-setup_initsvn
-setup_gitsvn
-
-(
- set -e
- cd git-svn
- git config rietveld.server localhost:10000
-
- # Create a branch, rename a file, upload it.
- git checkout -q -b rename
- git mv test test2
- git commit -q -m "renamed"
- export GIT_EDITOR=$(which true)
- test_expect_success "upload succeeds" \
- "$GIT_CL upload --no-oauth2 -m test master | grep -q 'Issue created'"
-
- # Look at the uploaded patch and verify it is a rename patch.
- echo "Rename test not fully implemented yet. :("
- exit 1
-)
-
-SUCCESS=$?
-
-cleanup
-
-if [ $SUCCESS == 0 ]; then
- echo PASS
-fi
« no previous file with comments | « tests/push-from-logs.sh ('k') | tests/save-description-on-failure.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698